> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs/go-pack/go-1.md).

# GO 1

This page describes the Optimization Pack for the component type Go 1.

## Metrics

| Metric                  | Unit          | Description                                                                                                     |
| ----------------------- | ------------- | --------------------------------------------------------------------------------------------------------------- |
| cpu\_used               | CPUs          | The total amount of CPUs used                                                                                   |
| cpu\_util               | percents      | The average CPU utilization % across all the CPUs (i.e., how much time on average the CPUs are busy doing work) |
| go\_heap\_size          | bytes         | The largest size reached by the Go heap memory                                                                  |
| go\_heap\_used          | bytes         | The amount of heap memory used                                                                                  |
| go\_heap\_util          | bytes         | The amount of heap memory used                                                                                  |
| go\_memory\_used        | bytes         | The total amount of memory used by Go                                                                           |
| go\_gc\_time            | percent       | The % of wall clock time the Go spent doing stop the world garbage collection activities                        |
| go\_gc\_duration        | seconds       | The average duration of a stop the world Go garbage collection                                                  |
| go\_gc\_count           | collections/s | The total number of stop the world Go garbage collections that have occurred per second                         |
| go\_threads\_current    | threads       | The total number of active Go threads                                                                           |
| go\_goroutines\_current | goroutines    | The total number of active Goroutines                                                                           |

## Parameters

| Parameter              | Type    | Unit     | Default | Domain          | Restart | Description                                                                                   |
| ---------------------- | ------- | -------- | ------- | --------------- | ------- | --------------------------------------------------------------------------------------------- |
| go\_gcTargetPercentage | integer |          | `100`   | `0` → `25000`   | yes     | Sets the GOGC variable which controls the aggressiveness of the garbage collector             |
| go\_maxProcs           | integer | theads   | `8`     | `0` → `100`     | yes     | Limits the number of operating system threads that can execute user-level code simultaneously |
| go\_memLimit           | integer | megabtes | 100     | `0` → `1048576` | yes     | <p>Sets a soft memory limit for the runtime.<br>Available since Go 1.19</p>                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs/go-pack/go-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
